Page MenuHomePhabricator

IE8 shows "are you sure you want to leave" even when NOT in edit more
Closed, ResolvedPublic

Description

Seen in IE8 only

Steps:

  • go to a flow board
  • refresh the page

Actual:

  • shows a popup asking to confirm to leave the page

Expected:

  • nothing, since not in edit mode

Workaround:

  • go to edit mode (i.e. reply to a topic) and cancel to force it to not be in edit mode

Event Timeline

SBisson created this task.Apr 13 2015, 4:11 PM
SBisson raised the priority of this task from to Needs Triage.
SBisson updated the task description. (Show Details)
SBisson added a subscriber: SBisson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2015, 4:11 PM
EBernhardson triaged this task as Normal priority.Apr 13 2015, 5:51 PM
EBernhardson added a subscriber: EBernhardson.

Change 204056 had a related patch set uploaded (by Sbisson):
Don't ask for confirmation to leave the page when there is no unsaved modifications.

https://gerrit.wikimedia.org/r/204056

I know this was not a high priority but it was so annoying that I had to fix it during my testing. And since it's fixed, might as well go all the way and patch it.

Change 204056 merged by jenkins-bot:
Don't ask for confirmation to leave the page when there is no unsaved modifications.

https://gerrit.wikimedia.org/r/204056

DannyH added a subscriber: DannyH.Apr 14 2015, 9:02 PM

I don't know how to product review this... who's got IE8? :)

You should be able to get access to Sauce Labs through Wikimedia.

DannyH closed this task as Resolved.Apr 16 2015, 9:17 PM

Works on Beta/Sauce Labs